<?php
/*
//(C) OXID-Design 2017
//
// The source contained in this file is the property of the OXID-Design
// (Leipziger Allee 36, 76139 Karlsruhe, Germany, www.oxid-design.com).
//
// GNU GENERAL PUBLIC LICENSE
//
//This program is free software;
//you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation;
//either version 3 of the License, or (at your option) any later version.
//
//This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
// You should have received a copy of the GNU General Public License along with this program; if not, see <http://www.gnu.org/licenses/>
*/

$sMetadataVersion = '1.0';
$aModule = array(
    'id' => 'OD-HoneyPot',
    'title' => (class_exists('od_manager_set') ? '<img src=' . od_manager_set::getInstance()->getOdAdminUrl() . '/modules/OXID-Design/OD-HoneyPot/out/img/favicon.ico alt="OXID-Design" title="OXID-Design Projects"> ' : '') . 'Spam-Schutz mit Honeypot',
    'type' => 'modules',
    'paid' => 'paid',
    'description' => array(
        'de' => 'Spam-Schutz mit Honeypot',
        'en' => 'Spam protection with Honeypot',
    ),
    'thumbnail' => 'out/img/logo.png',
    'version' => '1.2',
    'author' => 'Rafig',
    'url' => 'https://www.oxid-design.com',
    'email' => 'support@oxid-design.com',
    'extend' => array(
        'oxcmp_user' => 'OXID-Design/OD-HoneyPot/components/od_honeypot_user',
        'register' => 'OXID-Design/OD-HoneyPot/controllers/od_honeypot_register'
    ),
    'files' => array(),
    'events' => array(),
    'templates' => array(
        'od_honeypot.tpl' => 'OXID-Design/OD-HoneyPot/views/tpl/od_honeypot.tpl'
    ),
    'settings' => array(
        array(
            'group' => 'basicSettings',
            'name' => 'blCaptchaSecurity',
            'type' => 'bool',
            'value' => 'false'
        )
    ),
    'blocks' => array(
        array(
            'template' => 'form/fieldset/user_account.tpl',
            'block' => 'user_account_newsletter',
            'file' => '/views/blocks/od_honeypot_account.tpl'
        ),
        array(
            'template' => 'form/fieldset/user_noaccount.tpl',
            'block' => 'user_noaccount_newsletter',
            'file' => '/views/blocks/od_honeypot_noaccount.tpl'
        )
    )
);
